tbb::flow::interface11::graph_proxy Class Referenceabstract

Pure virtual template classes that define interfaces for async communication. More...

`#include <flow_graph_abstractions.h>`

Inheritance diagram for tbb::flow::interface11::graph_proxy:
Collaboration diagram for tbb::flow::interface11::graph_proxy:

## Public Member Functions

virtual void | reserve_wait ()=0
| Inform a graph that messages may come from outside, to prevent premature graph completion. More...
virtual void | release_wait ()=0
| Inform a graph that a previous call to reserve_wait is no longer in effect. More...
virtual | ~graph_proxy ()

## Detailed Description

Pure virtual template classes that define interfaces for async communication.

Definition at line 25 of file flow_graph_abstractions.h.

## Constructor & Destructor Documentation

## ~graph_proxy()

virtual tbb::flow::interface11::graph_proxy::~graph_proxy | ( |  | ) |

inline virtual

Definition at line 33 of file flow_graph_abstractions.h.

{}

## Member Function Documentation

## release_wait()

virtual void tbb::flow::interface11::graph_proxy::release_wait | ( |  | ) |

pure virtual

Inform a graph that a previous call to reserve_wait is no longer in effect.

Implemented in tbb::flow::interface10::graph, and tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::receiver_gateway_impl.

## reserve_wait()

virtual void tbb::flow::interface11::graph_proxy::reserve_wait | ( |  | ) |

pure virtual

Inform a graph that messages may come from outside, to prevent premature graph completion.

Implemented in tbb::flow::interface10::graph, and tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::receiver_gateway_impl.

The documentation for this class was generated from the following file:

- flow_graph_abstractions.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.